stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Types | Public Attributes | Friends | List of all members
stdex::wav::label Struct Reference

Label. More...

`#include <stdex/wav.hpp>`

## Public Types
using | record = stdex::idrec::record<label, id_t, 0x6C62616C , length_t, align>

## Public Attributes
uint32_t | id = 0
| The sample point that corresponds to this text label by providing the ID of a Cue Point defined in the Cue Point List. The ID that associates this label with a Cue Point must be unique to all other label Cue Point IDs.
std::string | title
| Title text.

## Friends
stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const label &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, label &data)

## Detailed Description

Label.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp